#include<bits/stdc++.h>
using namespace std;

int n=128;
inline int random(int a,int b){return ((rand()<<15)+rand())%(b-a+1)+a;}
int main()
{
	freopen("noodle.in","w",stdout);
	srand(time(NULL));
	printf("%d %d %llu\n",3,10,(unsigned long long)-1);
	for(int T=1;T<=10;T++)
	{
		printf("%d %d %d %lld\n",n,n,random(1,n),1e18);
		for(int i=1;i<=n;i++)printf("%d ",random(0,998244352));
		puts("");
		
	}
	return 0;
}
